Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class FileList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.FileList

public class FileList
extends DataType

FileList represents an explicitly named list of files. FileLists are useful when you want to capture a list of files regardless of whether they currently exist. By contrast, FileSet operates as a filter, only returning the name of a matched file if it currently exists in the file system.

Version:
  $Revision: 1.6.2.1 $ $Date: 2003/02/10 14:25:22 $
Author:
  Craeg Strong

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` | `FileList()`
`protected` | `FileList(FileList filelist)`

Method Summary
`java.io.File` | `getDir(Project p)`
`java.lang.String[]` | `getFiles(Project p)` Returns the list of files represented by this FileList.
`protected FileList` | `getRef(Project p)` Performs the check for circular references and returns the referenced FileList.
`void` | `setDir(java.io.File dir)`
`void` | `setFiles(java.lang.String filenames)`
`void` | `setRefid(Reference r)` Makes this instance in effect a reference to another FileList instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileList

    public FileList()

### FileList

    protected FileList(FileList filelist)

Method Detail

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another FileList instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Throws:
    `BuildException`

### setDir

    public void setDir(java.io.File dir)
                throws BuildException

  Throws:
    `BuildException`

### getDir

    public java.io.File getDir(Project p)

### setFiles

    public void setFiles(java.lang.String filenames)

### getFiles

    public java.lang.String[] getFiles(Project p)

  Returns the list of files represented by this FileList.

### getRef

    protected FileList getRef(Project p)

  Performs the check for circular references and returns the referenced FileList.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.